---
title: 'AI Agent Roadmap'
sidebar_position: 4
hide_title: true
---


## Our private AI agent called Hero,  High Level Roadmap

The first version of our Hero enables the management of core services such as an innovative database backend, a sovereign decentralized git system, and the automatic integration and deployment of our workloads.

This stack allows everyone to deploy scalable web 2/3/4 apps on top of the TFGrid in a full automated way.


|                                  | Roadmap                                                                                                              | Timing |
| -------------------------------- | -------------------------------------------------------------------------------------------------------------------- | ------ |
| Hero Publisher                   | Publish websites, e-books, ... on top of TFGrid                                                                      | Q2 25  |
| Hero CI = Continuous Integration | Easier to use Continuous Integration / Development, very powerfull, with multi node support                          | Q2 25  |
| Hero Play                        | Integrate declarative automation and configuration management as part of wiki approach in hero Publisher             | Q2 25  |
| Hero Git                         | Alternative to centralized Github (based on Gitea), fully integrated on top of TFGrid                                | Q2 25  |
| Hero DB                          | Flexible ultra redundant database stor with indexing, queries, stored procesudes, super scalable replication         | Q2 25  |
| Hero OSIS                        | Object Storage and Index system integrates with hero Git, all data on git based backend                              | Q2 25  |
| Hero WEB                         | Web framework (with co-routines) using Vlang, deployable globally on TFGrid, integrated with Mycelium Net and Names. | Q2 25  |
| Hero Monitor                     | Monitor all your different components on redundant monitoring stack                                                  | Q2 25  |
| Hero Happs                       | Hero natively supports Holochain HAPPS                                                                               | Q3 25  |
| Hero Actors                      | Hero can serve actors which respond and act on OpenRPC calls ideal as backend for web or other apps.                 | Q3 25  |
| Hero Web 3 Gateway               | Hero aims to have native support for chosen Web3 partner solutions (dfinity, bitcoin, eth, ...)                      | Q3 25  |

All of above is fully integrated with Mycelium Network and the TF Grid.
